Subject: Soroc IQ120 Chip Problem

From: Marvin Johnston <[email-masked]>
Date: Sat May 3 15:11:00 2003

I finally started digging in to find out what was wrong with a couple
Soroc IQ120s. The first one was easy; just a memory chip (2102) that
went bad. The second one is a bit tougher. I *think* I have the problem
narrowed down to a Signetics 82S201 PLA, and therein lies the problem.
Is there a replacement chip available, and is the coding of the chip
available? If the coding is not availble, can I just go through a
counter on the input and record the output states to come up with the
chip programming? Needless to say, I am not real familiar with these
devices :).

There are two of these devices in parallel, and when I pull out the
supected bad one (one makes no difference, pulling the other one starts
the screen display again), the screen starts to work again. My suspicion
is that the two are in parallel to increase the drive to the other
chips. There are probably more problems since I don't hear the beep when
the unit is turned on. The keyboard unit has already been checked out on
the working Soroc. Any thoughts or comments?